buildroot/package/kodi/S50kodi
Yann E. MORIN 21b5d85999 package/kodi: fix leftover instance of 'xbmc'
During the XBMC -> Kodi rename, some instance of 'xbmc' were left out,
which meant our startup script would not run Kodi, and that Kodi would
create its /.kodi directory.

This patch renames the missing bits.

Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Cc: Bernd Kuhls <bernd.kuhls@t-online.de>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2014-12-28 22:13:49 +01:00

40 lines
573 B
Bash
Executable file

#!/bin/sh
#
# Starts Kodi
#
BIN=/usr/bin/br-kodi
KODI=/usr/lib/xbmc/kodi.bin
KODI_ARGS="--standalone -fs -n"
PIDFILE=/var/run/kodi.pid
start() {
echo -n "Starting Kodi: "
start-stop-daemon -S -q -b -m -p $PIDFILE --exec $BIN -- $KODI $KODI_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
echo -n "Stopping Kodi: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac